<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            targetNamespace="http://www.movies.org"
            xmlns="http://www.movies.org"
            elementFormDefault="qualified">

    <xsd:complexType name="show_times">        
        <xsd:sequence>
            <xsd:element name="show_time" type="xsd:string" maxOccurs="unbounded" />
        </xsd:sequence>          
    </xsd:complexType>
    
    <xsd:complexType name="actors">        
        <xsd:sequence>
            <xsd:element name="actor" type="xsd:string" maxOccurs="unbounded" />
        </xsd:sequence>           
    </xsd:complexType>
    
    <xsd:complexType name="directors">        
        <xsd:sequence>
            <xsd:element name="director" type="xsd:string" maxOccurs="unbounded" />
        </xsd:sequence>            
    </xsd:complexType>
    
    <xsd:complexType name="producers">        
        <xsd:sequence>
            <xsd:element name="producer" type="xsd:string" maxOccurs="unbounded" />
        </xsd:sequence>             
    </xsd:complexType>
    
    <xsd:complexType name="writers">
        <xsd:sequence>
            <xsd:element name="writer" type="xsd:string" maxOccurs="unbounded"  />
        </xsd:sequence>     
    </xsd:complexType>
    
    <xsd:complexType name="movie">
        <xsd:sequence>     
            <xsd:element ref="title" minOccurs="1" maxOccurs="unbounded"/>
            <xsd:element ref="rate" minOccurs="1" maxOccurs="unbounded"/>
            <xsd:element name="show_times" type="show_times"/>
            <xsd:element ref="release_date" minOccurs="1" maxOccurs="1"/>
            <xsd:element ref="run_time" minOccurs="1" maxOccurs="1"/>
            <xsd:element ref="genre" minOccurs="1" maxOccurs="1"/>
            <xsd:element name="actors" type="actors"/>                
            <xsd:element name="directors" type="directors"/>
            <xsd:element name="producers" type="producers"/>
            <xsd:element name="writers" type="writers"/>
            <xsd:element ref="studio" minOccurs="1" maxOccurs="1"/>
            <xsd:element ref="image"  minOccurs="1" maxOccurs="1"/>
        </xsd:sequence> 
    </xsd:complexType>
    
    <xsd:element name="Movies">
        <xsd:complexType>
            <xsd:sequence>
                <xsd:element name="movie" type="movie"  maxOccurs="unbounded"/>
            </xsd:sequence>
        </xsd:complexType>
    </xsd:element>
    
    <xsd:element name="title" type="xsd:string"/>
    <xsd:element name="rate" type="xsd:string"/>
    <xsd:element name="release_date" type="xsd:string"/>
    <xsd:element name="run_time" type="xsd:string"/>
    <xsd:element name="genre" type="xsd:string"/>    
    <xsd:element name="studio" type="xsd:string"/>
    <xsd:element name="image" type="xsd:string"/>


    
    
    
    
</xsd:schema>

